## akonadi-googledata 1.0.1

=== CMakeLists.txt ===
project(googledata)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})

# search packages used by KDE
find_package (KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include(MacroOptionalAddSubdirectory)
include(CheckIncludeFiles)

find_package(KdepimLibs REQUIRED)

find_package(Boost)
macro_log_feature(Boost_FOUND "Boost" "Boost C++ Libraries" "http://www.boost.org" TRUE "1.33.1" "Required by Akonadi.")

#libgcal implements google data protocols 2.0
find_package(LibGCal)
macro_log_feature(LIBGCAL_FOUND "libgcal" "C library that allows communication with Google calendar and contacts" "http://code.google.com/p/libgcal/" TRUE "0.9.0" "Required to build the Googledata Akonadi resource.")


include_directories( ${KDE4_INCLUDES} ${KDEPIMLIBS_INCLUDE_DIR} ${LIBGCAL_INCLUDE_DIRS} ${Boost_INCLUDE_DIR} )

find_program(XSLTPROC_EXECUTABLE xsltproc)
macro_log_feature(XSLTPROC_EXECUTABLE "xsltproc" "The command line XSLT processor from libxslt" "http://xmlsoft.org/XSLT/" FALSE "" "Needed for building Akonadi resources. Recommended.")

if (XSLTPROC_EXECUTABLE)
  # generates a D-Bus interface description from a KConfigXT file
  macro( kcfg_generate_dbus_interface _kcfg _name )
    add_custom_command(
      OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
      COMMAND ${XSLTPROC_EXECUTABLE} --stringparam interfaceName ${_name}
              ${KDEPIMLIBS_DATA_DIR}/akonadi-kde/kcfg2dbus.xsl
              ${_kcfg}
              > ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
      DEPENDS ${KDEPIMLIBS_DATA_DIR}/akonadi-kde/kcfg2dbus.xsl
              ${_kcfg}
    )
  endmacro( kcfg_generate_dbus_interface )
endif (XSLTPROC_EXECUTABLE)

if(WIN32)
    set(LIB_INSTALL_DIR ${LIB_INSTALL_DIR}
                        RUNTIME DESTINATION ${BIN_INSTALL_DIR}
                        LIBRARY DESTINATION ${LIB_INSTALL_DIR}
                        ARCHIVE DESTINATION ${LIB_INSTALL_DIR} )
endif(WIN32)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/shared )

set( RESOURCE_AKONADI_SHARED_SOURCES
     ${CMAKE_CURRENT_SOURCE_DIR}/shared/googledata.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/shared/dlgGoogleDataConf.cpp
)

add_subdirectory(contacts)
add_subdirectory(calendar)

macro_display_feature_log()

find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )
add_subdirectory( doc-translations )
add_subdirectory( doc )

=== calendar/CMakeLists.txt ===

set( gcalresource_SRCS
  gcalresource.cpp
  ${RESOURCE_AKONADI_SHARED_SOURCES}
)

kde4_add_ui_files( gcalresource_SRCS GoogleData.ui )
install( FILES gcalresource.desktop DESTINATION "${CMAKE_INSTALL_PREFIX}/share/akonadi/agents" )

kde4_add_kcfg_files(gcalresource_SRCS settings.kcfgc)
kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/gcalresource.kcfg org.kde.Akonadi.gcal.Settings)
qt4_add_dbus_adaptor(gcalresource_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.gcal.Settings.xml settings.h Settings
)

kde4_add_executable(akonadi_gcal_resource RUN_UNINSTALLED ${gcalresource_SRCS})

target_link_libraries(akonadi_gcal_resource ${KDE4_AKONADI_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDE4_KABC_LIBS} ${KDE4_KCAL_LIBS}  ${LIBGCAL_LIBRARIES})

install(TARGETS akonadi_gcal_resource ${INSTALL_TARGETS_DEFAULT_ARGS})

=== contacts/CMakeLists.txt ===

set( googlecontactresource_SRCS
  googledataresource.cpp
  ${RESOURCE_AKONADI_SHARED_SOURCES}
)

kde4_add_ui_files( googlecontactresource_SRCS GoogleData.ui )
install( FILES googledataresource.desktop DESTINATION "${CMAKE_INSTALL_PREFIX}/share/akonadi/agents" )

kde4_add_kcfg_files(googlecontactresource_SRCS settings.kcfgc)
kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/googledataresource.kcfg org.kde.Akonadi.googledata.Settings)
qt4_add_dbus_adaptor(googlecontactresource_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.googledata.Settings.xml settings.h Settings
)

kde4_add_executable(akonadi_googledata_resource RUN_UNINSTALLED ${googlecontactresource_SRCS})

target_link_libraries(akonadi_googledata_resource ${KDE4_AKONADI_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDE4_KABC_LIBS} ${LIBGCAL_LIBRARIES})

install(TARGETS akonadi_googledata_resource ${INSTALL_TARGETS_DEFAULT_ARGS})

=== po/CMakeLists.txt ===
add_subdirectory( de )
add_subdirectory( en_GB )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fr )
add_subdirectory( gl )
add_subdirectory( km )
add_subdirectory( lt )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( sk )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

## akonadi-googledata 1.1.0

=== po/CMakeLists.txt ===
add_subdirectory( ca )
add_subdirectory( ca@valencia )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( en_GB )
add_subdirectory( eo )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hr )
add_subdirectory( hu )
add_subdirectory( is )
add_subdirectory( km )
add_subdirectory( lt )
add_subdirectory( lv )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( sk )
add_subdirectory( sr )
add_subdirectory( sr@ijekavian )
add_subdirectory( sr@ijekavianlatin )
add_subdirectory( sr@latin )
add_subdirectory( sv )
add_subdirectory( th )
add_subdirectory( tr )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== debian/changelog ===
akonadi-googledata (1.1.0-1) unstable; urgency=low

  * New upstream release.
  * Remove 01_binutils-gold_ftbfs.diff - merged upstream.
  * Update debian/control: bump build dependencies.

 -- Fathi Boudra <fabo@debian.org>  Fri, 11 Jun 2010 18:11:54 +0300

akonadi-googledata (1.0.1-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Add 01_binutils-gold_ftbfs.diff to fix FTBFS with binutils-gold.
    (Closes: #553645)
  * Update debian/control:
    - Bump build dependencies (debhelper and pkg-kde-tools).
    - Bump Standards-Version to 3.8.4 (no changes needed).
  * Update debian/rules:
    - Enable parallel build (pass --parallel option to dh).
    - Use kde sequence addon (pass --with kde option to dh). (Closes: #574304)

 -- Fathi Boudra <fabo@debian.org>  Thu, 18 Mar 2010 11:45:46 +0100

akonadi-googledata (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Drop copyright patch - merged upstream.

 -- Fathi Boudra <fabo@debian.org>  Wed, 26 Aug 2009 19:21:10 +0200

akonadi-googledata (1.0-3) unstable; urgency=low

  * Update the patch to include COPYING file update: akonadi-googledata is
    licensed under LGPL-2.1 or any later version.

 -- Fathi Boudra <fabo@debian.org>  Tue, 25 Aug 2009 10:29:40 +0200

akonadi-googledata (1.0-2) unstable; urgency=low

  * Add patch from upstream to fix copyright headers: akonadi-googledata is
    licensed under LGPL.

 -- Fathi Boudra <fabo@debian.org>  Tue, 18 Aug 2009 17:14:47 +0200

akonadi-googledata (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #540327)

 -- Fathi Boudra <fabo@debian.org>  Fri, 07 Aug 2009 10:09:30 +0200

=== debian/control ===
Source: akonadi-googledata
Section: net
Priority: extra
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.4),
 kdelibs5-dev (>= 4:4.4.4), kdepimlibs5-dev (>= 4:4.4.4),
 libboost-dev (>= 1.34.1), libgcal-dev (>= 0.9.4), xsltproc
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/libgcal/

Package: akonadi-kde-resource-googledata
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Google calendar and contacts resource for Akonadi
 It provides an easy access to Google calendars events and contacts.
 .
 This package contains the Google calendar and contacts resource for Akonadi,
 a Personal Information Management (PIM) storage service.

## akonadi-googledata 1.2.0

=== CMakeLists.txt ===
project(googledata)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})

# search packages used by KDE
find_package (KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include(MacroOptionalAddSubdirectory)
include(CheckIncludeFiles)

find_package(KdepimLibs REQUIRED)

find_package(Boost)
macro_log_feature(Boost_FOUND "Boost" "Boost C++ Libraries" "http://www.boost.org" TRUE "1.33.1" "Required by Akonadi.")

#libgcal implements google data protocols 2.0
find_package(LibGCal)
macro_log_feature(LIBGCAL_FOUND "libgcal" "C library that allows communication with Google calendar and contacts" "http://code.google.com/p/libgcal/" TRUE "0.9.4" "Required to build the Googledata Akonadi resource.")


include_directories( ${KDE4_INCLUDES} ${KDEPIMLIBS_INCLUDE_DIR} ${LIBGCAL_INCLUDE_DIRS} ${Boost_INCLUDE_DIR} )

find_program(XSLTPROC_EXECUTABLE xsltproc REQUIRED)
macro_log_feature(XSLTPROC_EXECUTABLE "xsltproc" "The command line XSLT processor from libxslt" "http://xmlsoft.org/XSLT/" TRUE "" "Needed for building Akonadi resources.")

# generates a D-Bus interface description from a KConfigXT file
macro( kcfg_generate_dbus_interface _kcfg _name )
  add_custom_command(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
    COMMAND ${XSLTPROC_EXECUTABLE} --stringparam interfaceName ${_name}
            ${KDEPIMLIBS_DATA_DIR}/akonadi-kde/kcfg2dbus.xsl
            ${_kcfg}
            > ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
    DEPENDS ${KDEPIMLIBS_DATA_DIR}/akonadi-kde/kcfg2dbus.xsl
            ${_kcfg}
  )
endmacro( kcfg_generate_dbus_interface )

if(WIN32)
    set(LIB_INSTALL_DIR ${LIB_INSTALL_DIR}
                        RUNTIME DESTINATION ${BIN_INSTALL_DIR}
                        LIBRARY DESTINATION ${LIB_INSTALL_DIR}
                        ARCHIVE DESTINATION ${LIB_INSTALL_DIR} )
endif(WIN32)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/shared )

set( RESOURCE_AKONADI_SHARED_SOURCES
     ${CMAKE_CURRENT_SOURCE_DIR}/shared/googledata.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/shared/dlgGoogleDataConf.cpp
)

add_subdirectory(contacts)
add_subdirectory(calendar)

macro_display_feature_log()

find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )

=== calendar/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,6 @@
 
 kde4_add_executable(akonadi_gcal_resource RUN_UNINSTALLED ${gcalresource_SRCS})
 
-target_link_libraries(akonadi_gcal_resource ${KDE4_AKONADI_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDE4_KABC_LIBS} ${KDE4_KCAL_LIBS}  ${LIBGCAL_LIBRARIES})
+target_link_libraries(akonadi_gcal_resource ${KDEPIMLIBS_AKONADI_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} ${KDEPIMLIBS_KABC_LIBS} ${KDEPIMLIBS_KCAL_LIBS}  ${LIBGCAL_LIBRARIES})
 
 install(TARGETS akonadi_gcal_resource ${INSTALL_TARGETS_DEFAULT_ARGS})

=== contacts/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,6 @@
 
 kde4_add_executable(akonadi_googledata_resource RUN_UNINSTALLED ${googlecontactresource_SRCS})
 
-target_link_libraries(akonadi_googledata_resource ${KDE4_AKONADI_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDE4_KABC_LIBS} ${LIBGCAL_LIBRARIES})
+target_link_libraries(akonadi_googledata_resource ${KDEPIMLIBS_AKONADI_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} ${KDEPIMLIBS_KABC_LIBS} ${LIBGCAL_LIBRARIES})
 
 install(TARGETS akonadi_googledata_resource ${INSTALL_TARGETS_DEFAULT_ARGS})

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+add_subdirectory( bg )
 add_subdirectory( ca )
 add_subdirectory( ca@valencia )
 add_subdirectory( cs )
@@ -14,6 +15,7 @@
 add_subdirectory( hr )
 add_subdirectory( hu )
 add_subdirectory( is )
+add_subdirectory( ja )
 add_subdirectory( km )
 add_subdirectory( lt )
 add_subdirectory( lv )

=== po/pt_BR/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( pt_BR ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
akonadi-googledata (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control: bump libgcal-dev build dependency to 0.9.6.
  * Bump Standards-Version from 3.8.4 to 3.9.1 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Mon, 21 Feb 2011 15:19:48 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Fathi Boudra <fabo@debian.org>
 Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.4),
  kdelibs5-dev (>= 4:4.4.4), kdepimlibs5-dev (>= 4:4.4.4),
- libboost-dev (>= 1.34.1), libgcal-dev (>= 0.9.4), xsltproc
-Standards-Version: 3.8.4
+ libboost-dev (>= 1.34.1), libgcal-dev (>= 0.9.6), xsltproc
+Standards-Version: 3.9.1
 Homepage: http://code.google.com/p/libgcal/
 
 Package: akonadi-kde-resource-googledata

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --with kde

.PHONY: override_dh_auto_test
